%define build_thunderbird 1
%define ext_guid '{847b3a00-7ab1-11d4-8f02-006008948af5}'
%define ext_desc \\\
Enigmail adds OpenPGP message encryption and authentication \\\
to your email client. It features automatic encryption, \\\
decryption and integrated key management functionality. \\\
Enigmail requires GnuPG (www.gnupg.org) for the cryptographic \\\
functions. 

Name: enigmail
License: MPL
Group: Applications/Internet
Summary: Enigmail OpenPGP extension for Thunderbird
Version: 0.96.0
Release: 2%{?dist}
URL: https://addons.mozilla.org/en-US/thunderbird/addon/71/
Packager: Jaroslaw Polok <jaroslaw.polok@cern.ch>
Vendor: CERN, http://cern.ch/linux
Source0: %{name}-%{version}-tb+sm-linux.xpi
Source1: %{name}-%{version}-linux-x86_64.xpi
Source100: mozilla-extension-update.sh
ExclusiveArch: i386 x86_64
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: unzip

%description
%{ext_desc}


%if %{build_thunderbird}

%define update_thunderbird \\\
  %{_libdir}/thunderbird-%{name}/mozilla-extension-update.sh --appname thunderbird \\\
  --extname %{ext_guid} --basedir %{_libdir} --extpath %{_libdir}/thunderbird-%{name} --action
  
%package -n thunderbird-%{name}
Summary: Enigmail OpenPGP extension for Thunderbird
Obsoletes: enigmail-add-on-enigmail
Group: Applications/Internet
Requires: thunderbird
Requires: gnupg
AutoReqProv: no
#or rpm screams about libxpcom_*

%description -n thunderbird-%{name}
%{ext_desc}

%post -n thunderbird-%{name}
%{update_thunderbird} install ||:

%preun -n thunderbird-%{name}
if [ $1 = 0 ]; then
 %{update_thunderbird} remove ||:
fi 

%triggerin -n thunderbird-%{name} -- thunderbird
%{update_thunderbird} install ||:

%files -n thunderbird-%{name}
%defattr(-,root,root,-)
%{_libdir}/thunderbird-%{name}
%{_libdir}/thunderbird-%{name}/*

%endif #build_thunderbird

%build

%install

%define real_src %{SOURCE0}
%ifarch x86_64
%define real_src %{SOURCE1}
%endif

%if %{build_thunderbird}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/thunderbird-%{name}
unzip -qod $RPM_BUILD_ROOT%{_libdir}/thunderbird-%{name} %{real_src}
install -p -m 755 %{SOURCE100} $RPM_BUILD_ROOT%{_libdir}/thunderbird-%{name}/mozilla-extension-update.sh
%endif

%changelog

* Thu Jun 17 2010 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 0.96.0
- Initial release for slc5
- Modeled this package on Lubomir Rintel one from EPEL for thunderbird-lightning.
